<?php 
//CONEXIONES
$conexion1 = mysql_connect('postventa.itodoslossantos.cl', 'pvitls_simas', 'postventa')or die(mysql_error());//BASE DE DATOS LOCAL
$conexion2 = mysql_connect('itodoslossantos.cl','ciss_evalle','vain2012')or die(mysql_error());//EXTERNA
$itodos = 'ciss_intranetciss';
$postventa = 'pvitls_postventa';
//BASES DE DATOS
mysql_select_db($postventa,$conexion1)or die(mysql_error());
mysql_select_db($itodos,$conexion2)or die(mysql_error());
$queryetapas ="SELECT p.proyecto, etapa, res_rec_municipal, fec_rec_municipal
			    FROM $itodos.tbl_etapaxproyecto e
				LEFT JOIN $itodos.tbl_proyecto p ON p.id_proyecto = e.id_proyecto
				WHERE  
					p.id_proyecto =  3 
					or p.id_proyecto = 4  
				    OR p.id_proyecto =  9 
					or p.id_proyecto = 15	
					or p.id_proyecto = 20	
					or p.id_proyecto = 21
					OR p.id_proyecto =  22 
					or p.id_proyecto = 23 
					OR p.id_proyecto =  29
					or p.id_proyecto = 35	
					or p.id_proyecto = 36	
					or p.id_proyecto = 37	 
					or p.id_proyecto =38 
					or  p.id_proyecto =39 
					or p.id_proyecto = 42
					or p.id_proyecto = 43
				    or p.id_proyecto = 40
					or p.id_proyecto = 45	
					or p.id_proyecto = 46	
					or p.id_proyecto = 	47
					or p.id_proyecto = 	48
					or p.id_proyecto = 50
					or p.id_proyecto = 49
					or p.id_proyecto = 63
					or p.id_proyecto = 66
					or p.id_proyecto = 49
					or p.id_proyecto = 55
					or p.id_proyecto = 54
					";

		$resultado = mysql_query($queryetapas,$conexion2);
		if(mysql_num_rows($resultado)> 0){
		 while($fila = mysql_fetch_array($resultado)){
			 $proyecto = $fila['proyecto'];
			 $id_proyecto = buscaridproyecto($proyecto,$conexion1);
			 $etapa = $fila['etapa'];
			 $fec_res_municipal=$fila['fec_rec_municipal'];
			 $res_municipal =$fila['res_rec_municipal'];
			 $fec_registro=date("Y/m/d");
			 $queryexisteetapa = buscaretapa($id_proyecto,$etapa,$conexion1);
			if($queryexisteetapa == "1"){
				$queryUpdateETAPA ="UPDATE $postventa.tbletapas SET ETAPA='$etapa',ID_PROYECTO='$id_proyecto',
											FEC_RES_MUNICIPAL='$fec_res_municipal',
											RES_MUNICIPAL='$res_municipal',FEC_REGISTRO='$fec_registro'
											 WHERE etapa ='$etapa' AND id_proyecto ='$id_proyecto'";
				if(mysql_query($queryUpdateETAPA,$conexion1)){
					echo "SE MODIFICO CON EXITO"."</br>";
				}else{
					echo mysql_error();
				}
			}else{
				 $queryinsertETAPA= "INSERT INTO $postventa.tbletapas(ID_PROYECTO,ETAPA, FEC_RES_MUNICIPAL, RES_MUNICIPAL, FEC_REGISTRO)
				 							 VALUES ('$id_proyecto','$etapa','$fec_res_municipal','$res_municipal','$fec_registro')";

				 	if(mysql_query($queryinsertETAPA,$conexion1)){
				 			echo "GUARDADO CON EXITO"."</br>";
				 	}else{
				 		echo mysql_error();
				 	}
			  }
		   }
		//TERMINA EL FOR
		}else{
			echo "NO HAY FILAS";
		}
		
//FUNCIONES DE BUSQUEDA
function buscaridproyecto($proyecto,$conexion){
$resultado = mysql_query("SELECT ID_PROYECTO FROM pvitls_postventa.tblproyectos WHERE PROYECTO = '$proyecto'",$conexion); 
	while( $resultado = mysql_fetch_array($resultado) ) { 
   		return $resultado['ID_PROYECTO']; 
	}  
 }
 //BUSCAMOS LA ETAPA
function buscaretapa($id_proyecto,$etapa,$conexion){
	$resultado = mysql_query("SELECT ETAPA FROM pvitls_postventa.tbletapas WHERE ETAPA = '$etapa' AND ID_PROYECTO='$id_proyecto'",$conexion); 
	 if(mysql_num_rows($resultado)> 0){
	 	return "1";
	 }else{

	 	return "0";
	 }
}
?>